Get contact engagement metrics
Returns aggregated engagement metrics for a contact, including message counts and active conversation totals.
Returns aggregated engagement metrics for a contact, including message counts and active conversation totals.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^contact_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/contacts/string/engagement"{ "totalMessages": 0, "messagesSent": 0, "messagesReceived": 0, "activeConversations": 0, "lastActivityAt": "string", "channelsUsed": { "property1": 0, "property2": 0 }}Get contact activity timeline
Returns a paginated timeline of a contact's message activity, optionally filtered by channel.
List a contact's group memberships
Returns the contact groups that a contact currently belongs to. Use this endpoint to list a contact's group memberships through the Samva email API.